cpw.mods.fml.client.config

## Class GuiSelectString

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiScreen
    - - cpw.mods.fml.client.config.GuiSelectString

-     public class GuiSelectString
      extends GuiScreen

  This class provides a screen that allows the user to select a value from a list.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Object` | `beforeValue`
    `protected IConfigElement` | `configElement`
    `java.lang.Object` | `currentValue`
    `protected boolean` | `enabled`
    `protected GuiScreen` | `parentScreen`
    `protected int` | `slotIndex`
    `protected java.lang.String` | `titleLine2`
    `protected java.lang.String` | `titleLine3`

    - ### Fields inherited from class net.minecraft.client.gui.GuiScreen

      `allowUserInput, buttonList, fontRendererObj, height, itemRender, labelList, mc, width`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons, zLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiSelectString(GuiScreen parentScreen, IConfigElement configElement, int slotIndex, java.util.Map<java.lang.Object,java.lang.String> selectableValues, java.lang.Object currentValue, boolean enabled)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `actionPerformed(GuiButton button)`
    `void` | `drawScreen(int par1, int par2, float par3)`
    `void` | `drawToolTip(java.util.List stringList, int x, int y)`
    `void` | `initGui()`
    `protected void` | `mouseMovedOrUp(int x, int y, int mouseEvent)`

    - ### Methods inherited from class net.minecraft.client.gui.GuiScreen

      `confirmClicked, doesGuiPauseGame, drawBackground, drawCreativeTabHoveringText, drawDefaultBackground, drawHoveringText, drawWorldBackground, func_146283_a, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, keyTyped, mouseClicked, mouseClickMove, onGuiClosed, renderToolTip, setClipboardString, setWorldAndResolution, updateScreen`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawGradientRect, drawHorizontalLine, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon, drawVerticalLine, func_146110_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parentScreen

          protected GuiScreen parentScreen

    - #### configElement

          protected IConfigElement configElement

    - #### titleLine2

          protected java.lang.String titleLine2

    - #### titleLine3

          protected java.lang.String titleLine3

    - #### slotIndex

          protected int slotIndex

    - #### beforeValue

          public final java.lang.Object beforeValue

    - #### currentValue

          public java.lang.Object currentValue

    - #### enabled

          protected boolean enabled

  - ### Constructor Detail

    - #### GuiSelectString

          public GuiSelectString(GuiScreen parentScreen,
                         IConfigElement configElement,
                         int slotIndex,
                         java.util.Map<java.lang.Object,java.lang.String> selectableValues,
                         java.lang.Object currentValue,
                         boolean enabled)

  - ### Method Detail

    - #### initGui

          public void initGui()

      Overrides:
        `initGui` in class `GuiScreen`

    - #### actionPerformed

          protected void actionPerformed(GuiButton button)

      Overrides:
        `actionPerformed` in class `GuiScreen`

    - #### mouseMovedOrUp

          protected void mouseMovedOrUp(int x,
                            int y,
                            int mouseEvent)

      Overrides:
        `mouseMovedOrUp` in class `GuiScreen`

    - #### drawScreen

          public void drawScreen(int par1,
                        int par2,
                        float par3)

      Overrides:
        `drawScreen` in class `GuiScreen`

    - #### drawToolTip

          public void drawToolTip(java.util.List stringList,
                         int x,
                         int y)